[Hilo Oficial] Arch Linux

eric_14 escribió:Sabéis si nouveau soporta la 2060? Leí que ya funcionaba la 2080 pero no sé si el resto ya funcionará.

En la web pone que tienen soporte para turing desde enero.

El problema que tengo es que en el portátil tengo puesto bbswitch para apagar la nvidia y entonces no me van todas las salidas de vídeo porque algunas estarán conectadas a la nvidia y si nouveau la gestiona igual funciona pero la verdad que tampoco estoy muy seguro.

tengo entendido que no funciona bien con las nuevas, funciona mejor con las graficas antiguas, ten en cuenta que nouveau no te va a apagar la grafica del todo y la temperatura sera mayor que con bbswitch

yo creo que esa parte, nouveau te la va a gestionar bien, porque realmente usaras intel y al cambiar usaras el oficial de nvidia
Ya, lo normal es que no funcione, pero era por hacer el intento o no. Así que nada, de momento se queda como está, pero jode mucho (p*ta nvidia, me estoy arrepintiendo de haber comprado el portátil que además me ha costado una pasta [buuuaaaa] ).

Otra cosa, me he puesto varios paneles de latte-dock y desde entonces parece que se me fulmina la batería del portátil (también me van un poco lentos los efectos del latte-dock) porque hay siempre algún proceso consumiendo cpu, cuando no estoy haciendo nada. Si miro el administrador de tareas hay algún proceso Xorg consumiendo algo de cpu, o también el dichoso nvidia-settings, que no sé si será el mismo bug pero hace tiempo que hay un bug con el uso de CPU con kde+nvidia y solucionaron hace poco (no sé si está actualizado ya en los repos). Pero bueno, el caso es si alguien tiene problemas con el latte-dock o será otra cosa.
pero estas con el portatil en el escritorio con nvidia?

si te ocurre desde que pusiste eso ya sabes porque es, es decir, si antes no te pasaba
instala tlp si no lo tienes y configurarlo al gusto, yo al partil le tengo puesto que no pase de 1.2 la cpu y si necesito potencia tiro de cpupower

lo de nvidia es raro, tienes el persintence forzado desde nvidia-smi, a mi alguna vez lo veo en htop pero nada relevante
Alguien sabe como solucionar este error al actualizar con aurman ...

resolviendo dependencias...
buscando conflictos entre paquetes...

Paquetes (2) python-sip-pyqt4-4.19.16-1 python2-sip-pyqt4-4.19.16-1

Tamaño total de la instalación: 0,37 MiB

:: ¿Continuar con la instalación? [S/n]
(2/2) comprobando las claves del depósito [########################################] 100%
(2/2) verificando la integridad de los paquetes [########################################] 100%
(2/2) cargando los archivos de los paquetes [########################################] 100%
(2/2) comprobando conflictos entre archivos [########################################] 100%
error: no se pudo realizar la operación (archivos en conflicto)
/usr/lib/python2.7/site-packages/PyQt4/sip.pyi existe tanto en «python-sip-pyqt4» como en «python2-sip-pyqt4»
/usr/lib/python2.7/site-packages/PyQt4/sip.so existe tanto en «python-sip-pyqt4» como en «python2-sip-pyqt4»
/usr/lib/python2.7/site-packages/PyQt4_sip-4.19.16.dist-info/INSTALLER existe tanto en «python-sip-pyqt4» como en «python2-sip-pyqt4»
/usr/lib/python2.7/site-packages/PyQt4_sip-4.19.16.dist-info/METADATA existe tanto en «python-sip-pyqt4» como en «python2-sip-pyqt4»
/usr/lib/python2.7/site-packages/PyQt4_sip-4.19.16.dist-info/RECORD existe tanto en «python-sip-pyqt4» como en «python2-sip-pyqt4»
Ocurrieron errores, por lo que no se actualizaron los paquetes

Te recomiendo yay → https://aur.archlinux.org/packages/yay/

El dev de Aurman tuvo algún encontronazo con la comunidad y dejó de publicar su código o algo de eso leí, pero eso suena a otra cosa, algún problema en concreto con un paquete. Solución rápida, eliminar y reinstalar ese paquete, la otra es esperar a que el empaquetador lo arregle.
Alguno ha probado este paquete? https://www.archlinux.org/packages/community/x86_64/primus_vk/

He visto que todavía tiene algunos bugs pero parece que a algunos les funciona y no va tan mal.
Estoy usando un dvd externo por usb en mi pc ... si meto un dvd no se monta . Tengo que hacerlo manual

sudo mount -o loop,ro /dev/sr2 /media/cd


Puedo configurar que haga como los usbs ?¿
Dependerá del entorno que estés usando. En KDE Plasma puedo decir que lo automonte o no. En mi caso con el citado entorno no tengo que hacer nada, si activo la opción se automonta todo, incluso los DVD con un lector externo USB.
Pues plasma estoy usando [+risas] , voy a mirar.

P.D : Me pasa por no mirar anoche :P ya esta .... toca recuperar mis series antiguas y copiarlas a disco usb. [angelito]
alguien me sabria decir porque cada vez que sale una actualizacion del kernel tambien actualizan el driver de nvidia?
incluso actualizan la version nvidia-dkms que en teoria deberia ser innecesario

con debian esto no me pasaba pero con arch, que llevo usandola unos 6 meses veo que es bastante comun, por no decir que siempre se actualizan ambos juntos
chorriwuarri escribió:alguien me sabria decir porque cada vez que sale una actualizacion del kernel tambien actualizan el driver de nvidia?
incluso actualizan la version nvidia-dkms que en teoria deberia ser innecesario

con debian esto no me pasaba pero con arch, que llevo usandola unos 6 meses veo que es bastante comun, por no decir que siempre se actualizan ambos juntos


El driver privativo necesita ser recompilado si o si, sobre todo si hay mucho cambio en el kernel, y éste último caso es el que provoca que se haya que actualizar el controlador. Si actualizas el controlador de nvidia para que sea compatible con el nuevo kernel, también es necesario actualizar nvidia-dkms, puesto que si no no sabrá que tiene que compilar la versión nueva y tratará de hacerlo con la vieja.

En debian pasa prácticamente igual (y esto lo puedo asegurar porque uso debian desde la versión 3), la única diferencia está en que los "saltos" de un kernel a otro no suelen ser tan grandes como en Arch, te aseguro que el driver se recompila cada vez que se actualiza el kernel (salvo casos menores en que no es necesario).

P.D.: Esto con Nouveau no pasa...
ok, gracias, eso lo entiendo, pero me surgen dudas con el binario oficial de nvidia
yo uso la version vulkan de nvidia y prefiero el binario a tirar de aur, mi duda es, si instalo nvidia con la opcion dkms, lo correcto seria instalar el driver cada vez que instalo un kernel nuevo? hasta ahora no lo he hecho cuando instalo un kernel veo como se actualiza dkms y siempre he pensado que con eso basta
Nvidia no ofrece binarios para GNU/Linux. El módulo se tiene que compilar para cada kernel, y precisamente ese es el trabajo del paquete nvidia-dkms,
me refiero al driver que ofrece nvidia en su pagina oficial, siempre lo he llamado binario, tal vez me equivoque

yo tengo el nvidia.run instalado sin ningun paquete de nvidia ofrecido por la distro y al instalarlo nvidia me pregunta si lo quiero instalar en dkms y al instalar un nuevo kernel no he vuelto ha instalar ese driver ya que pensaba que no hacia falta al hacerlo el dkms y esa es mi duda, he de instalarlo cada vez?
Si te ofrece la posibilidad de usarlo con dkms, no mientras no deje de funcionarte, piensa que si cambias el kernel y no se compila el módulo, éste no existirá cuando vaya a cargarlo y posiblemente te quedes sin entorno gráfico.

El run de la página de nvidia hace lo mismo que si instalas el que tenga Arch o el que esté en Aur, compila el módulo. La diferencia puede estar, en tus apreciaciones, que para que compile correctamente en Debian tenías que instalar algunos paquetes -dev (cosa que no es necesaria en Arch) y las headers del kernel que estés usando. Pero vamos, que eso imagino que te lo podrá explicar mejor un usuario de Arch.
Buenas acabo de instalar arch + kde en un portatil con una nvidia. He estado probando varias configuraciones:


* Si pongo en blacklist los modulos de nvidia (nvidia y nouveau) para funcionar con la intel integrada, funciona ok, pero la salida hdmi del portatil no me detecta ninguna pantalla (ya sea con el gestor de kde o xrandr)
* Si uso nouveau kde se queda frito al iniciar sesión (tengo que mirar los logs...)
* Si cargo los drivirs de nvidia si que funciona hdmi, pero se ve un poco feo las fuentes (me imagino que tendre que configurar el aliasing de fuentes)

Hay alguna opción de usar la intel? o voy a tener que pasar por nvidia?

Saludos.
Estoy usando archlinux en una raspberry y networkmanager me dice estar conectado por eth0 pero falla al conectarse a red y con la wifi lo mismo.

[kodi@ArchLinux system-connections]$ sudo systemctl status dhcpcd
● dhcpcd.service - dhcpcd on all interfaces
Loaded: loaded (/usr/lib/systemd/system/dhcpcd.service; enabled; vendor preset: disabled)
Active: active (running) since Thu 2019-05-16 23:54:11 CEST; 3min 34s ago
Process: 284 ExecStart=/usr/bin/dhcpcd -q -b (code=exited, status=0/SUCCESS)
Main PID: 309 (dhcpcd)
Tasks: 1 (limit: 1595)
Memory: 2.5M
CGroup: /system.slice/dhcpcd.service
└─309 /usr/bin/dhcpcd -q -b

May 16 23:54:12 ArchLinux dhcpcd[309]: wlan0: waiting for carrier
May 16 23:54:12 ArchLinux dhcpcd[309]: eth0: rebinding lease of 192.168.1.4
May 16 23:54:12 ArchLinux dhcpcd[309]: wlan0: carrier acquired
May 16 23:54:12 ArchLinux dhcpcd[309]: wlan0: IAID eb:f2:65:f7
May 16 23:54:12 ArchLinux dhcpcd[309]: wlan0: carrier lost
May 16 23:54:12 ArchLinux dhcpcd[309]: eth0: probing address 192.168.1.4/24
May 16 23:54:13 ArchLinux dhcpcd[309]: wlan0: new hardware address: 6e:a1:c4:2e:09:eb
May 16 23:54:17 ArchLinux dhcpcd[309]: eth0: leased 192.168.1.4 for 86400 seconds
May 16 23:54:17 ArchLinux dhcpcd[309]: eth0: adding route to 192.168.1.0/24
May 16 23:54:17 ArchLinux dhcpcd[309]: eth0: adding default route via 192.168.1.1
[kodi@ArchLinux system-connections]$ sudo systemctl status NetworkManager
● NetworkManager.service - Network Manager
Loaded: loaded (/usr/lib/systemd/system/NetworkManager.service; enabled; vendor preset: disabled)
Drop-In: /usr/lib/systemd/system/NetworkManager.service.d
└─NetworkManager-ovs.conf
Active: active (running) since Thu 2019-05-16 23:54:12 CEST; 3min 54s ago
Docs: man:NetworkManager(8)
Main PID: 286 (NetworkManager)
Tasks: 3 (limit: 1595)
Memory: 12.7M
CGroup: /system.slice/NetworkManager.service
└─286 /usr/bin/NetworkManager --no-daemon

May 16 23:54:13 ArchLinux NetworkManager[286]: <info> [1558043653.9487] device (p2p-dev-wlan0): state change: unmanaged -> unavailable (reason 'managed', sys-iface-state: 'external')
May 16 23:54:13 ArchLinux NetworkManager[286]: <info> [1558043653.9516] device (p2p-dev-wlan0): state change: unavailable -> disconnected (reason 'none', sys-iface-state: 'managed')
May 16 23:54:13 ArchLinux NetworkManager[286]: <info> [1558043653.9527] device (wlan0): state change: unavailable -> disconnected (reason 'supplicant-available', sys-iface-state: 'managed')
May 16 23:54:13 ArchLinux NetworkManager[286]: <warn> [1558043653.9634] sup-iface: failed to cancel p2p connect: P2P cancel failed
May 16 23:54:16 ArchLinux NetworkManager[286]: <info> [1558043656.0920] dhcp6 (eth0): activation: beginning transaction (timeout in 45 seconds)
May 16 23:54:16 ArchLinux NetworkManager[286]: <info> [1558043656.7710] manager: startup complete
May 16 23:55:01 ArchLinux NetworkManager[286]: <warn> [1558043701.0914] dhcp6 (eth0): request timed out
May 16 23:55:01 ArchLinux NetworkManager[286]: <info> [1558043701.0915] dhcp6 (eth0): state changed unknown -> timeout
May 16 23:55:01 ArchLinux NetworkManager[286]: <info> [1558043701.0916] dhcp6 (eth0): canceled DHCP transaction
May 16 23:55:01 ArchLinux NetworkManager[286]: <info> [1558043701.0917] dhcp6 (eth0): state changed timeout -> done
[kodi@ArchLinux system-connections]$



Lo uso directamente con Kodi y al iniciar me dice en info de sistema conectado y las dns 8.8.8.8 y acabo de ver que se ha cambiado sola por 127.0.0.53 :-? .

Hay alguna manera de resetear la configuracion y empezar de cero ?¿ es normal que falle la conexion pero me deje conectarme a ella por ssh ?¿
@nu_kru si es una gráfica moderna igual ni tiene soporte en nouveau.

Yo no me complicaría y por ahora utilizaría Optimus manager, tienes los paquetes en AUR y es sencillo de instalar, con la intel te permite usar nouveau o desactivarla. Yo la desactivo porque tengo la 2060 y no tiene soporte con nouveau, pero entonces no me funcionan los hdmi, cuando me hacen falta a cambiar a la nvidia y ya.

Se supone que nvidia ya está preparando cambios para tener optimus como en windows, en la próxima versión de xserver deberían estar incluidos y quién sabe si por fin tendremos el optimus que merecemos, y entiendo que ya no habrán estos problemas.
@eric_14
Es para trabajar, la Nvidia me da igual, pero necesito la salida HDMI, los drivers libres crashean a los pocos segundos.

Así que por ahora me quedo con los privativos.

Ahora sólo me hace falta funcionar Network manager en una wpa corporativa... El cual por cierto esta algo buguedado en KDE, ya que durante el intento de conexión se pone el círculo de wifi a dar vueltas y plasma comiéndose un core
Buenas a todos. Tengo un pequeño problema con el Wine y el Playonlinux, tengo un hardware para comunicarse por usb pero con protocolo RS232, eso quiere decir que en el /dev está como ttyUSB0 y en el software que sólo es posible en windows, solo reconoce Com1 , com2, com3...Bueno creo un link simbólico en la carpeta /dosdevices de ámbos(wine y playonlinux) de com1 a ttyUSB0, pero sigue sin funcionar.
Para saber si este link simbólico me está funcionando envío comandos con la aplicación Putty seleccionado el com1 y todo parece funcionar bien lo que no pasa con el software instalado en playonlinux..este soft lo instalé en windows y todo funciona como debe ser.....
Creo que algo debo hacer mal en la configuración de wine o playonlinux o faltan algunos permisos...Alguna sugerencia por favor o en que fallo.

Gracias de antemano.

Saludos. [beer]
nu_kru escribió:@eric_14
Es para trabajar, la Nvidia me da igual, pero necesito la salida HDMI, los drivers libres crashean a los pocos segundos.

Así que por ahora me quedo con los privativos.

Ahora sólo me hace falta funcionar Network manager en una wpa corporativa... El cual por cierto esta algo buguedado en KDE, ya que durante el intento de conexión se pone el círculo de wifi a dar vueltas y plasma comiéndose un core


A que te refieres que crashean ?

Una duda tengo una placa intel@ion es un atom 330 con nvida he instalado noveau y al reproducir videos de yotube no van finos . Podria instalar los de nvidia funcionara mejor , o me puede joder toda la confg
Adiós antergos https://antergos.com/blog/antergos-linux-project-ends/

[buuuaaaa] [buuuaaaa] Yo lo tengo instalado, porque me gustaba el instalador, el de arch me parece bastante coñazo y además casi todos los paquetes veían de arch, por lo que siempre tengo el sistema actualizado.

Pero nada, de todas formas supongo que será eliminar el repo de antergos y ya.
xxxtarkusxxx escribió:
nu_kru escribió:@eric_14
Es para trabajar, la Nvidia me da igual, pero necesito la salida HDMI, los drivers libres crashean a los pocos segundos.

Así que por ahora me quedo con los privativos.

Ahora sólo me hace falta funcionar Network manager en una wpa corporativa... El cual por cierto esta algo buguedado en KDE, ya que durante el intento de conexión se pone el círculo de wifi a dar vueltas y plasma comiéndose un core


A que te refieres que crashean ?

Una duda tengo una placa intel@ion es un atom 330 con nvida he instalado noveau y al reproducir videos de yotube no van finos . Podria instalar los de nvidia funcionara mejor , o me puede joder toda la confg


que directamente la imagen se queda congelada a los pocos segundos y no queda mas remedio que reiniciar/REISUB
6372 respuestas
1124, 125, 126, 127, 128